# Default values for wso2am-demo.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

# namespaces are the new namespaces that need to be created. 
namespaces:
- wso2am-demo-mysql
#helmResourcePolicy: keep


# wso2amdemo defines namespaces used in this demo. 
wso2amdemo:
  # wso2amNamespace defines the namespace for WSO2 AM 
  wso2amNamespace: wso2am-demo
  # wso2amdemo defines the namespace for MySQL 
  mysqlNamespace: wso2am-demo-mysql

# wso2amDeploy defines properties related to WSO2 AM Deployment 
wso2amDeploy:
  #replicaCount is the replication count
  replicaCount: 1

# mysqlDeploy defines properties related to MySQL Deployment 
mysqlDeploy:
  #replicaCount is the replication count
  replicaCount: 1  

# wso2amImage defines properties related to WSO2 AM Docker image.  
wso2amImage:  
  image:
    # repository is the WSO2 AM Docker image repository
    repository: registry.gitlab.com/sagaragu.dev/wso2am-demo
    # tag is the WSO2 AM Docker image tag
    tag: latest
    # pullPolicy is the WSO2 AM Docker image pull policy
    pullPolicy: Always 
    #IfNotPresent
  # imagePullSecrets is the WSO2 AM Docker image pull secrets    
  imagePullSecrets: regsecret
  # version is the application version of the WSO2 AM
  version: wso2am-3.0.0

# mysqlImage defines properties related to MySQL Docker image 
mysqlImage:  
  image:
    # repository is the MySQL Docker image repository
    repository: mysql
     # tag is the MySQL Docker image tag
    tag: 5.7
    # pullPolicy is the MySQL Docker image pull policy
    pullPolicy: IfNotPresent 

# wso2amPorts defines the port values used by WSO2 AM 
wso2amPorts:
  # gwHTTPPort is the HTTTP port of the WSO2 AM Gateway 
  gwHTTPPort: 8280
  # gwHTTPSPort is the HTTTPS port of the WSO2 AM Gateway 
  gwHTTPSPort: 8243
  # mgtHTTPSPort is the HTTTPS port of the WSO2 AM portals 
  mgtHTTPSPort: 9443
  # gwHTTPNodePort is the node port for WSO2 AM Gateway 
  gwHTTPNodePort: 32230
  # gwHTTPSNodePort is the node port for WSO2 AM Gateway 
  gwHTTPSNodePort: 32627
  # mgtHTTPSNodePort is the node port for WSO2 AM portals 
  mgtHTTPSNodePort: 32294

# mysqlPorts defines the port values used by MySQL
mysqlPorts:
  # port defines the port values used by MySQL
  port: 3306


# wso2amConfig is the configuration related to WSO2 AM
wso2amConfig:
  # hostname is the hostname parameter for WSO2 AM portals 
  hostname: am.demo.com
  # shared_db_name is the name of the shared database of WSO2 AM
  shared_db_name: wso2db_1
  # am_db_name is the name of the am database of WSO2 AM
  am_db_name: amdb_1
  # dbuser is the database user
  dbuser: root
  # dbpassword is the database password 
  dbpassword: root

# wso2amVolumeClaims defines volume configurations related to WSO2 AM
wso2amVolumeClaims:  
  # synapseConfigClaimName is the PVC name of the volume that keep synapse-configs
  synapseConfigClaimName: am-synapse-configs-storage-pv-claim
  # executionplansClaimName is the PVC name of the volume that keep executionplans
  executionplansClaimName: am-executionplans-storage-pv-claim
  # synapseConfigClaimCapacity is the capacity of the synapse-configs PVC
  synapseConfigClaimCapacity: 1Gi
   # executionplansClaimNameCapacity is the capacity of the executionplans PVC
  executionplansClaimNameCapacity: 1Gi

# mysqlVolumeClaims defines volume configurations related to MySQL
mysqlVolumeClaims:  
  # mysqlClaimName is the PVC name of the volume that keep MySQL data 
  mysqlClaimName: mysql-pv-claim
   # mysqlClaimCapacity is the capacity of the MySQL data PVC
  mysqlClaimCapacity: 2Gi
  



ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

